RTKVersion (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp02.rtk.xml.unspec.RTKVersion class

### com.tucows.oxrs.epp02.rtk.xml.unspec

# Class RTKVersion

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp02.rtk.RTKBase`
  - - `com.tucows.oxrs.epp02.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp02.rtk.xml.unspec.RTKVersion`

Implemented Interfaces:
  epp_Unspec, epp_UnspecOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class RTKVersion`
`extends EPPXMLBase`
`implements epp_Unspec`

This class is used to exchange RTK version number with the Registry.

Version:
  $Revision: 1.2 $ $Date: 2003/09/10 21:31:13 $

Author:
  Oleg Snegirev

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp02.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp02.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `RTKVersion()` Default constructor

  ## Method Summary
  `void` | `fromXML(String xml)` Parses an XML String of test number data from the unspec section of a response from the Registry.
  `static String` | `getVersion()` Returns RTK version number.
  `String` | `toXML()` Converts the RTK version number into XML to be put into the unspec section of the request.

  ### Methods inherited from class com.tucows.oxrs.epp02.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `createXMLSnippetFromDoc`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getNode`, `getUnspecNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareUnspecElement`, `stringListToXML`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp02.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getRTKProperties`, `setDebugLevel`

## Constructor Details

### RTKVersion

    public RTKVersion()

> Default constructor

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException

> Parses an XML String of test number data from the unspec section of a response from the Registry. Implemented method from org.openrrc.rtk.epp02.epp_Unspec interface.
> NOTE: this method is empty because RTK version number will never be send from server side to the client.
> Specified by:
>   fromXML in interface epp_UnspecOperations
> Parameters:
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
> See Also:
>   `epp_Action`

### getVersion

    public static String getVersion()

> Returns RTK version number.
> Returns:
>   String

### toXML

    public String toXML()
                throws epp_XMLException

> Converts the RTK version number into XML to be put into the unspec section of the request. Implemented method from org.openrrc.rtk.epp02.epp_Unspec interface.
> Specified by:
>   toXML in interface epp_UnspecOperations
> Throws:
>   `epp_XMLException` - if required data is missing
> See Also:
>   `epp_Unspec`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS